Render Scrollable Context Menu in Angular Context menu component

18 Dec 20243 minutes to read

To enable scrolling for the Context Menu, use the enableScrolling property to manage the overflow behavior of menu items by enabling or disabling scroll functionality. This is especially useful when dealing with a large number of menu items that exceed the viewport height, ensuring the context menu remains accessible without affecting the page layout.

To achieve this functionality, set the enableScrolling property to true. Additionally, use the beforeOpen event to adjust the height of the menu’s parent element, ensuring the scrollable area is applied correctly.

import { BrowserModule } from '@angular/platform-browser';
import { ContextMenuModule, MenuEventArgs } from '@syncfusion/ej2-angular-navigations';
import { enableRipple } from '@syncfusion/ej2-base';
import { Component } from '@angular/core';
import { MenuItemModel } from '@syncfusion/ej2-navigations';

enableRipple(true);

@Component({
  selector: 'app-root',
  standalone: true,
  template: `
    <div class="e-section-control">
      <!-- Target element -->
      <div id="target">Right-click / Touch hold to open the ContextMenu</div>

      <!-- To Render ContextMenu. -->
      <ejs-contextmenu 
        id='contextmenu' 
        target='#target' 
        [items]='menuItems' 
        [enableScrolling]='true' 
        (beforeOpen)='beforeOpen($event)'>
      </ejs-contextmenu>
    </div>
  `,
  imports: [BrowserModule, ContextMenuModule]
})
export class AppComponent {
  public menuItems: MenuItemModel[] = [
    {
      text: 'View',
      items: [
        { text: 'Mobile' },
        { text: 'Desktop Smaller' },
        { text: 'Desktop Normal' },
        { text: 'Desktop Bigger Smaller' },
        { text: 'Desktop Bigger Normal' }
      ]
    },
    { text: 'Refresh' },
    { text: 'Paste' },
    { separator: true },
    { text: 'New' },
    { text: 'Personalize' }
  ];

  beforeOpen(args: MenuEventArgs): void {
    if (args.element.parentElement) {
      args.element.parentElement.style.height = '150px';
    }
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Render Scrollable Context Menu’ in Vue Context menu component

14 Dec 20247 minutes to read

To enable scrolling for the Context Menu, use the enableScrolling property to manage the overflow behavior of menu items by enabling or disabling scroll functionality. This is especially useful when dealing with a large number of menu items that exceed the viewport height, ensuring the context menu remains accessible without affecting the page layout.

To achieve this functionality, set the enableScrolling property to true. Additionally, use the beforeOpen event to adjust the height of the menu’s parent element, ensuring the scrollable area is applied correctly.

<template>
    <div>
        <div id="target">Right click / Touch hold to open the ContextMenu</div>
        <ejs-contextmenu 
            target="#target" 
            :items="menuItems" 
            :enableScrolling="true"
            @beforeOpen="beforeOpen"
        ></ejs-contextmenu>
    </div>
</template>

<script setup>
import { ContextMenuComponent as EjsContextmenu, MenuEventArgs } from "@syncfusion/ej2-vue-navigations";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

const menuItems = [
    {
        text: 'View',
        items: [
            { text: 'Mobile' },
            { text: 'Desktop Smaller' },
            { text: 'Desktop Normal' },
            { text: 'Desktop Bigger Smaller' },
            { text: 'Desktop Bigger Normal' }
        ]
    },
    { text: 'Refresh' },
    { text: 'Paste' },
    { separator: true },
    { text: 'New' },
    { text: 'Personalize' }
];

// Function to handle the 'beforeOpen' event
const beforeOpen = (args) => {
    args.element.parentElement.style.height = '150px';
};
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/material.css";

#target {
    border: 1px dashed;
    height: 150px;
    padding: 10px;
    position: relative;
    text-align: justify;
    color: gray;
    user-select: none;
}
</style>
<template>
    <div>
        <div id="target">Right click / Touch hold to open the ContextMenu</div>
        <ejs-contextmenu 
            target="#target" 
            :items="menuItems" 
            :enableScrolling="true" 
            @beforeOpen="beforeOpen"
        ></ejs-contextmenu>
    </div>
</template>

<script>
import { ContextMenuComponent } from "@syncfusion/ej2-vue-navigations";
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

export default {
    name: "App",
    components: {
        "ejs-contextmenu": ContextMenuComponent
    },
    data() {
        return {
            menuItems: [
                {
                    text: 'View',
                    items: [
                        { text: 'Mobile' },
                        { text: 'Desktop Smaller' },
                        { text: 'Desktop Normal' },
                        { text: 'Desktop Bigger Smaller' },
                        { text: 'Desktop Bigger Normal' }
                    ]
                },
                { text: 'Refresh' },
                { text: 'Paste' },
                { separator: true },
                { text: 'New' },
                { text: 'Personalize' }
            ]
        };
    },
    methods: {
        beforeOpen(args) {
            args.element.parentElement.style.height = '150px';
        }
    }
}
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-inputs/styles/material.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/material.css";

#target {
    border: 1px dashed;
    height: 150px;
    padding: 10px;
    position: relative;
    text-align: justify;
    color: gray;
    user-select: none;
}
</style>

Render Scrollable Context Menu in React Context menu component

13 Dec 20245 minutes to read

To enable scrolling for the Context Menu, use the enableScrolling property to manage the overflow behavior of menu items by enabling or disabling scroll functionality. This is especially useful when dealing with a large number of menu items that exceed the viewport height, ensuring the context menu remains accessible without affecting the page layout.

To achieve this functionality, set the enableScrolling property to true. Additionally, use the beforeOpen event to adjust the height of the menu’s parent element, ensuring the scrollable area is applied correctly.

import { enableRipple } from '@syncfusion/ej2-base';
import { ContextMenuComponent } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
import * as ReactDom from 'react-dom';

enableRipple(true);

function App() {
  let menuItems = [
    {
      text: 'View',
      items: [
        { text: 'Mobile' },
        { text: 'Desktop Smaller' },
        { text: 'Desktop Normal' },
        { text: 'Desktop Bigger Smaller' },
        { text: 'Desktop Bigger Normal' },
      ],
    },
    { text: 'Refresh' },
    { text: 'Paste' },
    { separator: true },
    { text: 'New' },
    { text: 'Personalize' },
  ];

  return (
    <div className="container">
      <div id="target">Right click / Touch hold to open the ContextMenu</div>
      <ContextMenuComponent
        id="contextmenu"
        target="#target"
        items={menuItems}
        enableScrolling={true}
        beforeOpen={(args) => {
          args.element.parentElement.style.height = '150px';
        }}
      />
    </div>
  );
}

export default App;
ReactDom.render(<App />, document.getElementById('element'));
import { enableRipple } from '@syncfusion/ej2-base';
import { ContextMenuComponent, MenuItemModel, MenuEventArgs } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
import * as ReactDom from 'react-dom';

enableRipple(true);

function App() {
  let menuItems: MenuItemModel[] = [
    {
      text: 'View',
      items: [
        { text: 'Mobile' },
        { text: 'Desktop Smaller' },
        { text: 'Desktop Normal' },
        { text: 'Desktop Bigger Smaller' },
        { text: 'Desktop Bigger Normal' },
      ],
    },
    { text: 'Refresh' },
    { text: 'Paste' },
    { separator: true },
    { text: 'New' },
    { text: 'Personalize' },
  ];

  return (
    <div className="container">
      <div id='target'>Right click / Touch hold to open the ContextMenu</div>
      <ContextMenuComponent
        id='contextmenu'
        target='#target'
        items={menuItems}
        enableScrolling={true}
        beforeOpen={(args: MenuEventArgs) => {
          args.element.parentElement.style.height = '150px';
        }}
      />
    </div>
  );
}
export default App;
ReactDom.render(<App />, document.getElementById('element'));